#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cryptol
version:              2.10.0
visibility:           public
id:                   cryptol-2.10.0-2SwfVPcTaOK6jAj7vgrPwn
key:                  cryptol-2.10.0-2SwfVPcTaOK6jAj7vgrPwn
license:              BSD-3-Clause
copyright:            2013-2020 Galois Inc.
maintainer:           cryptol@galois.com
author:               Galois, Inc.
homepage:             http://www.cryptol.net/
synopsis:             Cryptol: The Language of Cryptography
description:
    Cryptol is a domain-specific language for specifying cryptographic algorithms. A Cryptol implementation of an algorithm resembles its mathematical specification more closely than an implementation in a general purpose language. For more, see <http://www.cryptol.net/>.

category:             Language
abi:                  28d626c19b248e33a1a27c53066d1589
exposed:              True
exposed-modules:
    Cryptol.AES Cryptol.Backend Cryptol.Backend.Arch
    Cryptol.Backend.Concrete Cryptol.Backend.FloatHelpers
    Cryptol.Backend.Monad Cryptol.Backend.SBV Cryptol.Backend.What4
    Cryptol.Backend.What4.SFloat Cryptol.Eval Cryptol.Eval.Concrete
    Cryptol.Eval.Env Cryptol.Eval.Generic Cryptol.Eval.Reference
    Cryptol.Eval.SBV Cryptol.Eval.Type Cryptol.Eval.Value
    Cryptol.Eval.What4 Cryptol.F2 Cryptol.IR.FreeVars
    Cryptol.ModuleSystem Cryptol.ModuleSystem.Base
    Cryptol.ModuleSystem.Env Cryptol.ModuleSystem.Exports
    Cryptol.ModuleSystem.Fingerprint
    Cryptol.ModuleSystem.InstantiateModule
    Cryptol.ModuleSystem.Interface Cryptol.ModuleSystem.Monad
    Cryptol.ModuleSystem.Name Cryptol.ModuleSystem.NamingEnv
    Cryptol.ModuleSystem.Renamer Cryptol.Parser Cryptol.Parser.AST
    Cryptol.Parser.Lexer Cryptol.Parser.Name Cryptol.Parser.Names
    Cryptol.Parser.NoInclude Cryptol.Parser.NoPat
    Cryptol.Parser.Position Cryptol.Parser.Selector
    Cryptol.Parser.Unlit Cryptol.Parser.Utils Cryptol.PrimeEC
    Cryptol.REPL.Command Cryptol.REPL.Monad Cryptol.REPL.Trie
    Cryptol.SHA Cryptol.Symbolic Cryptol.Symbolic.SBV
    Cryptol.Symbolic.What4 Cryptol.Testing.Random
    Cryptol.Transform.AddModParams Cryptol.Transform.MonoValues
    Cryptol.Transform.Specialize Cryptol.TypeCheck
    Cryptol.TypeCheck.AST Cryptol.TypeCheck.CheckModuleInstance
    Cryptol.TypeCheck.Default Cryptol.TypeCheck.Depends
    Cryptol.TypeCheck.Error Cryptol.TypeCheck.Infer
    Cryptol.TypeCheck.InferTypes Cryptol.TypeCheck.Instantiate
    Cryptol.TypeCheck.Kind Cryptol.TypeCheck.Monad Cryptol.TypeCheck.PP
    Cryptol.TypeCheck.Parseable Cryptol.TypeCheck.Sanity
    Cryptol.TypeCheck.SimpType Cryptol.TypeCheck.SimpleSolver
    Cryptol.TypeCheck.Solve Cryptol.TypeCheck.Solver.Class
    Cryptol.TypeCheck.Solver.Improve Cryptol.TypeCheck.Solver.InfNat
    Cryptol.TypeCheck.Solver.Numeric
    Cryptol.TypeCheck.Solver.Numeric.Fin
    Cryptol.TypeCheck.Solver.Numeric.Interval
    Cryptol.TypeCheck.Solver.SMT Cryptol.TypeCheck.Solver.Selector
    Cryptol.TypeCheck.Solver.Types Cryptol.TypeCheck.Solver.Utils
    Cryptol.TypeCheck.Subst Cryptol.TypeCheck.TCon
    Cryptol.TypeCheck.Type Cryptol.TypeCheck.TypeMap
    Cryptol.TypeCheck.TypeOf Cryptol.TypeCheck.TypePat
    Cryptol.TypeCheck.Unify Cryptol.Utils.Debug Cryptol.Utils.Fixity
    Cryptol.Utils.Ident Cryptol.Utils.Logger Cryptol.Utils.Misc
    Cryptol.Utils.PP Cryptol.Utils.Panic Cryptol.Utils.Patterns
    Cryptol.Utils.RecordMap Cryptol.Version

hidden-modules:
    Cryptol.Parser.LexerUtils Cryptol.Parser.ParserUtils
    Cryptol.Prelude Paths_cryptol GitRev

import-dirs:          /usr/lib/ghc-8.10.4/site-local/cryptol-2.10.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/cryptol-2.10.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/cryptol
hs-libraries:         HScryptol-2.10.0-2SwfVPcTaOK6jAj7vgrPwn
depends:
    GraphSCC-1.0.4-1mf8QmHp59V6XU8PFT1MxA
    MemoTrie-0.6.10-IUIu2k52AfCEvWK9JZSIpp array-0.5.4.0
    async-2.2.3-bRJqoep3gj749cy8sss28 base-4.14.1.0
    base-compat-0.11.2-JggHr2fdYLe83DSFk1MYK3
    bv-sized-1.0.2-CuNFWTU5yGVDxlwdRLlmVg bytestring-0.10.12.0
    containers-0.6.2.1
    cryptohash-sha1-0.11.100.1-GwOGlQ9i8hY1wQXawIaKuh deepseq-1.4.4.0
    directory-1.3.6.0 exceptions-0.10.4 filepath-1.4.2.1 ghc-prim-0.6.1
    gitrev-1.3.1-Het0FatRKM8GuBdILU3orB
    heredoc-0.2.0.0-7c17paDwj1PKOf07g81QlB integer-gmp-1.0.3.0
    libBF-0.6.2-tDxl2mtBM9X13kGSkqCI
    monad-control-1.0.2.3-PpmHT2V75h2XDAJUBJQJo
    monadLib-3.10-1ClUaBQVpi9LOzOHa5eL5K mtl-2.2.2
    panic-0.4.0.1-Fo4sCfDqcEkCpAt882LFEy
    parameterized-utils-2.1.1-LR9w2KmD7hW8U8DFBv8jBG pretty-1.1.3.6
    process-1.6.9.0 random-1.2.0-9qUF1fy9dkjCQWp3WV3YL1
    sbv-8.10-8CuiE3wO3TC1k5PL6xslG
    simple-smt-0.9.5-KxYsCH91YgO6DFAmMKUplo stm-2.5.0.0
    strict-0.4.0.1-7GIlQuSCuWuLeFojxSLns6 text-1.2.4.1
    tf-random-0.5-FQlq4bopqc78MMQj8qkuG0 time-1.9.3
    transformers-base-0.4.5.2-56VenfCNK6v65iMkKL7LJs
    what4-1.0-nkMryMr2Sh6RHTZEUpSsL

haddock-interfaces:   /usr/share/doc/cryptol/html/cryptol.haddock
haddock-html:         /usr/share/doc/cryptol/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

